#!/bin/bash

cp /var/www/html/auth.php /tmp/auth.php
/usr/bin/envsubst '${STREAMKEY}' < /tmp/auth.php > /var/www/html/auth.php
cp /var/www/html/obs_settings.py /tmp/obs_settings.py
/usr/bin/envsubst < /tmp/obs_settings.py > /var/www/html/obs_settings.py

echo ${OBS_PASSWORD} | /usr/bin/htpasswd -c -i /var/www/.htpasswd admin
echo "Password for Admin-Interface: ${OBS_PASSWORD}"

/etc/init.d/memcached start
chmod 777 /var/run/
rm /var/run/fcgiwrap.socket > /dev/null 2>&1

if [ ${LIVEU} != "True" ]; then
    echo "Removing LiveU service"
    rm /etc/supervisor/conf.d/liveu_collector.conf
fi

touch /opt/scripts/vol/__init__.py
/usr/bin/supervisord -c /etc/supervisor/supervisord.conf
/usr/bin/supervisorctl status
tail -f /var/log/supervisor/irl.log
